Update schedule report
curl --request PUT \
--url https://api.creditor.younegotiate.com/schedule-reports/{scheduleExport} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subclient_id": "master",
"emails": "<string>",
"sftp_connection_id": 123
}
'import requests
url = "https://api.creditor.younegotiate.com/schedule-reports/{scheduleExport}"
payload = {
"subclient_id": "master",
"emails": "<string>",
"sftp_connection_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subclient_id: 'master', emails: '<string>', sftp_connection_id: 123})
};
fetch('https://api.creditor.younegotiate.com/schedule-reports/{scheduleExport}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Schedule report created.",
"data": {
"id": 123,
"company_id": 123,
"subclient_id": 123,
"sftp_connection_id": 123,
"report_type": {
"label": "<string>",
"requires_date_range": true
},
"frequency": {
"label": "<string>"
},
"delivery_type": {
"label": "<string>"
},
"applied_to": {
"value": "master",
"label": "<string>"
},
"emails": [
"jsmith@example.com"
],
"pause": true,
"sftp_connection": {
"id": 123,
"name": "<string>",
"export_filepath": "<string>"
},
"last_sent_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Update schedule report
Update report type, account scope, frequency, and delivery settings for a recurring creditor report export.
PUT
/
schedule-reports
/
{scheduleExport}
Update schedule report
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Scheduled report export ID.
Body
application/json
Available options:
active_accounts, payment_plans, consumer_payments, cfpb_validation_demand_letters_delivery, compliance_deleted_accounts, compliance_consumer_disputes_no_pay, compliance_consumer_pii_opt_out Available options:
master Available options:
daily, weekly, monthly Available options:
email, sftp Required when delivery_type is email; comma-separated list of up to five valid email addresses.
Required when delivery_type is sftp; must be an enabled export SFTP profile for the creditor company.
Last modified on July 20, 2026
Was this page helpful?
⌘I

